Retrieve All Derived IP Blocks

View as Markdown
Retrieve all child IP Blocks allocated to Tenants from a specific Provider super IP Block. When allocations are created from a super block, individual Tenant IP Blocks are created as a result. The IP Block in the URL must be a root belonging to the organization's Infrastructure Provider. Records outside that scope return the same 404 response as an unknown ID. User must have authorization role with `PROVIDER_ADMIN` suffix.

Authentication

AuthorizationBearer
``` export JWT_BEARER_TOKEN="<jwt-bearer-token>" # Example org name: "acme-inc export ORG_NAME=<org-name> # Use the JWT bearer token in your API request auth header: curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current ```

Path parameters

orgstringRequired
Name of the Org
ipBlockIdstringRequired
ID of the IP Block

Query parameters

statusstringOptional
Filter IP Blocks by Status
querystringOptional
Search for matches across all derived IP Blocks. Input will be matched against name, description, and status fields
includeRelationenumOptional
Related entity to expand
Allowed values:
pageNumberintegerOptional1-21474836
Page number for pagination query
pageSizeintegerOptional1-100
Page size for pagination query
orderByenumOptional
Ordering for pagination query

Response headers

X-PaginationstringOptional
Pagination result in JSON format

Response

OK
idstringOptionalRead-onlyformat: "uuid"
Unique UUID v4 identifier for the IP Block
namestringOptional2-256 characters
Name of the IP Block
descriptionstring or nullOptional
Description of the IP Block
siteIdstringOptionalformat: "uuid"
ID of the Site
infrastructureProviderIdstringOptionalformat: "uuid"
ID of the Infrastructure Provider
tenantIdstring or nullOptionalformat: "uuid"
ID of the Tenant
routingTypeenumOptional
RoutingType of the IP Block
prefixstringOptional
Either IPv4 or IPv6 address
prefixLengthintegerOptional

Min: 1, Max: 32 for ipv4, 128 for ipv6

protocolVersionenumOptional
Version of the ip network IPv4 or IPv6
usageStatsobjectOptional
Usage summary from IPAM for the IP Block
statusenumOptional
Status of the IP Block
statusHistorylist of objectsOptional
Chronological status history for the IP Block
createddatetimeOptionalRead-only

Date/time when the Ip Block was created

updateddatetimeOptionalRead-only

Date/time when the Ip Block was last updated

Errors

403
Forbidden Error
404
Not Found Error